package department_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type DepartmentDetailRequest struct {
	Department *common.DepartmentRequest `json:"department"`
	Group      *common.GroupRequest      `json:"group,omitempty"`
}

func (obj DepartmentDetailRequest) GetUrl() string {
	return "/department/detail"
}

func (obj DepartmentDetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
